Name:           linpsk
Version:        1.1
Release:        6%{?dist}
Summary:        Psk31 and RTTY program for Linux

Group:          Applications/Communications
License:        GPLv2+
URL:            http://linpsk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
# Add .desktop file
Source1:        %{name}.desktop
# Icon
Source2:        %{name}.png
# Install wrapper
Source3:        %{name}.sh.in

# Patch asoundrc file for default sound card (device 0)
Patch0:         %{name}-%{version}-3.sound.conf.patch
Patch1:         %{name}-%{version}-compile-fix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fftw-devel
BuildRequires:  qt-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  desktop-file-utils

#Requires:

# Spelling error in desc. is intentional. Hobby jargon ignore rpmlint warnings.
%description
LinPsk is a program for operating on digital modes running on Linux.
LinPsk supports BPSK, QPSK and RTTY at the moment.
Main features are:
* the simultaneous decoding of up to four channels.
* The different digital modes may be mixed
* You can define a trigger on each channel to be notified if a text of your 
  choice is detected.
* You can log each received channel at a file.
* For easy qso'ing you can define macros and for larger texts to be send you 
  can use two files.
* You can view the signal as spectrum or in a waterfall display. Both are 
  scale-able in the frequency domain.
At the Moment RTTY only supports 45 baud and 1.5 stop-bits. 

%prep
%setup -q -n %{name}

#fix permissions for debuginfo files
chmod 0644 $RPM_BUILD_DIR/%{name}/src/{rttydemodulator.cpp,cpskdemodulator.cpp,cpskdemodulator.h,rttydemodulator.h}

%patch0 -p1 -b 3.sound.conf
%patch1 -p1 -b .compile.fix

%build
qmake-qt4 -unix -o Makefile %{name}.pro
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}

# Move original binary to libexecdir
mkdir -p %{buildroot}/%{_libexecdir}/
install -m 755 bin/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin

# Install wrapper script 
install -p -D -m 0755 %{SOURCE3} %{buildroot}/%{_bindir}/%{name}

# Install default sound configuration file
mkdir -p %{buildroot}/%{_sysconfdir}/skel/.%{name}/
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/asoundrc %{buildroot}/%{_sysconfdir}/skel/.%{name}/asoundrc

# Install provided icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
# no upstream .desktop
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor obsolete per new guidlines but leaving it in because
# this is an existing package with vendor previously installed

#Remove development files
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%config(noreplace) %{_sysconfdir}/skel/.%{name}/asoundrc
%{_libexecdir}/%{name}-bin

%changelog
* Wed Jan 11 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 1.1-6
- Fixed FTBFS by compile-fix patch
  Resolves: rhbz#715960
- Minor cosmetic changes

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 1 2011 Randall 'Randy' Berry <dp67@fedoraproject.org>  - 1.1-4
- Rebuild to fix broken deps

* Sat May 1 2010 Randall 'Randy' Berry <dp67@fedoraproject.org>  - 1.1-3
- Test build for new spec
- Add wrapper script
- Add upstream icon

* Fri Apr 30 2010 Jon Ciesla <limb@jcomserv.net>  - 1.1-2
- Build, doc fixes.

* Fri Apr 30 2010 Randall 'Randy' Berry <dp67@fedoraproject.org>  - 1.1-1
- Upstream update to 1.1

* Sun Apr 18 2010 Randall 'Randy' Berry <dp67@fedoraproject.org>  - 0.9-8
- Correct .desktop file categories now includes Network;HamRadio;

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Robert Scheck <robert@fedoraproject.org> 0.9-6
- Rebuilt against libtool 2.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 16 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-4
- BR: qt3-devel

* Thu Feb 28 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-3
- Add .desktop and icon for GUI application
- Submit for review

* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.9-2
- Update License to GPLv2+
- Fix permissions for src files

* Thu Nov 22 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-1
- Correct License

* Tue May 15 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.9-0
- Initial RPM release

